Subject: RE: IBIS model creation

From: "Muranyi, Arpad" <[email-masked]>
Date: Thu, 6 Jan 2000 12:35:14 -0800

The problem with the IBIS spec is that it does not say that the ranges
should be calculated based on the typical Vcc values.  So keeping that
in mind here is an example (for a 5V device with 5% tolerance) that works.

IV curve range for pullup:
On the high end:

 GND_rel_typ = Vcc_typ - -Vcc_typ
  10.00      =  5.00   - -5.00
 GND_rel_min = Vcc_min - -Vcc_typ
   9.75      =  4.75   - -5.00
 GND_rel_max = Vcc_max - -Vcc_typ
  10.25      =  5.25   - -5.00

On the low end:

 GND_rel_typ = Vcc_typ - 2*Vcc_typ
  -5.00      =  5.00   - 10.00
 GND_rel_min = Vcc_min - 2*Vcc_typ
  -5.25      =  4.75   - 10.00
 GND_rel_max = Vcc_max - 2*Vcc_typ
  -4.75      =  5.25   - 10.00

Notice that the range for the sweep is -Vcc(typ) to 2*Vcc(typ) for each
case with respect to the typ., min., and max. Vcc voltage.  The problem
is when people want to make the range -Vcc(min) to 2*Vcc(min) and
-Vcc(max) to 2*Vcc(max) for the min and max cases, respectively.  Doing
that will result in different lengths for the three columns which is not
allowed in the IBIS spec.

I hope this helps clarifying the issue.

Arpad Muranyi
Intel Corporation
=======================================================================

-----Original Message-----
From: Ross Pryor [mailto:[email-masked]]
Sent: Thursday, January 06, 2000 11:45 AM
To: [email-masked]; [email-masked]
Subject: RE: IBIS model creation

Well, the arithmetic in my table is correct.  Note that the Max and Min rows
do not use a vout sweep range of exactly -vcc to 2*vcc.
Instead, they use a range that is adjusted to make the vcc-relative data
(vtable) line up.  That makes the post-processing of the
data much easier, and I suspect that's why the s2ibis2 author(s) implemented
it this way.

In your table, you are using exactly -vcc to 2*vcc for the min and max rows.
As you note, the vcc-relative (vtable) data then do
not cover the same range.

In a quick search, I can't find where the voltage range is explicitly
defined in the spec.  Can you provide a pointer?

Regards,
Ross
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Thursday, January 06, 2000 1:51 PM
To: [email-masked]
Subject: RE: IBIS model creation

Happy new year IBISians,

It's kind of silly but I can not reproduce arithmetics
from the attached email. Here is mine:

        Vcc     Vout                  Vtable

min     3.0     from -3.0 to 6.0      from 6.0 to -3.0

typ     3.3     from -3.3 to 6.6      from 6.6 to -3.3

max     3.6     from -3.6 to 7.2      from 7.2 to -3.6

Vcc is derived from range (denoted Vpower below)

Vout changes from ( Vground - Vpower ) to (Vpower + Vpower )
(see spec.)  e.g. from ( 0 - Vcc ) to 2*Vcc
             e.g. from -Vcc to 2*Vcc

Vtable = Vcc - Vout

Conclusion: spec is inconsistent in this part.

Nikolai Bannov
Hspice group
Avant! Corporation

:-) From [email-masked] Wed Jan  5 12:36 PST 2000
:-) From: "Ross Pryor" <[email-masked]>
:-) To: "'Stephen Nolan'" <[email-masked]>, <[email-masked]>
:-) Subject: RE: IBIS model creation
:-) Date: Wed, 5 Jan 2000 14:33:28 -0500
:-) MIME-Version: 1.0
:-) Content-Transfer-Encoding: 7bit
:-) X-Priority: 3 (Normal)
:-) X-MSMail-Priority: Normal
:-) Importance: Normal
:-) X-MimeOLE: Produced By Microsoft MimeOLE V4.72.2120.0
:-)
:-) Stephen,
:-)
:-) The data are tabulated after the vcc-relative calculation,
vtable=vcc-vout. After the calculation, the data have the same range.
:-) For a pullup curve, the following table may help:
:-)
:-) 			(vout)		(vtable)
:-) 			sweep			vcc-relative
:-) corner	vcc	range			range
:-) ------	---	-----			-------------
:-) min		3.0	-3.6 > 6.3		6.6 > -3.3
:-) typ		3.3	-3.3 > 6.6		6.6 > -3.3
:-) max		3.6	-3.0 > 6.9		6.6 > -3.3
:-)
:-) Regards,
:-) Ross
:-) --------------
:-) Ross Pryor
:-) Nortel Networks
:-) Billerica, MA
:-) (978) 288-3811
:-) ESN 248-3811
:-) [email-masked]
:-)